# 创建 bonus 用户，此段代码未测试
RUN group add -g 1002 bonus && \
useradd -u 1002 -g 1002 -m -s /usr/sbin/nologin bonus
# 切换到 bonus 用户
USER bonus
# end 创建用户

# 基础镜像
FROM nginx:1.17.1
# author
MAINTAINER bonus

# 挂载目录
VOLUME /home/ruoyi/projects/bonus-ui
# 创建目录
RUN mkdir -p /home/bonus/projects/bonus-ui
# 指定路径
WORKDIR /home/bonus/projects/bonus-ui
# 复制conf文件到路径
COPY ./conf/nginx.conf /etc/nginx/nginx.conf
# 复制html文件到路径
COPY ./html/dist /home/bonus/projects/bonus-ui
